Bug 15743

Summary: [PATCH] Add support for custom color palettes
Product: POI Reporter: Brian Sanders <bsanders>
Component: HSSFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: enhancement CC: shawn.laubach
Priority: P3    
Version: 2.0-dev   
Target Milestone: ---   
Hardware: All   
OS: All   
Attachments: tar.bz2 archive containing new classes and tests
Patch to existing source for custom palette support
excel sheet for testing bug

Description Brian Sanders 2002-12-31 19:19:26 UTC
Attached files add support for custom color palettes through new class
HSSFPalette.  Updated test cases and quick usage docs.
Comment 1 Brian Sanders 2002-12-31 19:20:28 UTC
Created attachment 4306 [details]
tar.bz2 archive containing new classes and tests
Comment 2 Brian Sanders 2002-12-31 19:21:09 UTC
Created attachment 4307 [details]
Patch to existing source for custom palette support
Comment 3 Avik Sengupta 2003-01-02 11:20:24 UTC
Thanks, Brian. Applied, pls cross check. 
Comment 4 Balasubramaniam 2005-01-11 17:45:52 UTC
Created attachment 13972 [details]
excel sheet for testing bug

Bug #15223 reopened....

I'm using Excel 2000 on Windows 2000 with j2sdk1.4.1_02 and POI 2.5.1 (I
downloaded poi-src-2.5.1-final-20040804.zip.asc.)

when i try to read from the excel sheet cell formula as
=IF(H8="","Incomplete",IF(H8>0,"Potential Gap Identified","Meets CTQ"))
and actual value is displaying as Potential Gap Identified, it cannt read all
the cell value like this. 

please refer attached excel sheet.

sheet1: 
error row number 6, column cell C
error row number 8, column cell C
error row number 9, column cell C
error row number 10, column cell C
error row number 11, column cell C
error row number 12, column cell C
error row number 13, column cell C
error row number 14, column cell C
error row number 15, column cell C
error row number 16, column cell C
error row number 17, column cell C
error row number 18, column cell C

Sheet 2:
error row number 40, column cell D



can you please help me.

Advance Great thanks

Balasubramaniam P
Mailto: bala.p@tcs.com